mysql-workbench-oss

Ответить
Аватара пользователя
Yamah
Сообщения: 1357
Зарегистрирован: 04 май 2012, 06:30
Operating system: Десктоп (дом): Rosa Fresh R8.1, Rosa Fresh R10
Десктоп (работа): Rosa Fresh R8.1/Rosa Fresh R10
Сервер (работа): Rosa Enterprise Linux Sercver 6.7
Нетбук: Rosa Fresh R10
Контактная информация:

mysql-workbench-oss

Сообщение Yamah » 21 авг 2017, 18:29

Добрый день!

Для работы необходим MySQL-Workbench.
Тот, что есть в репах в R8.1 - не рабочий.
Для R8.1 и R9 x86_64 мне удавалось заставить работать mysql-workbench-community-6.3.6-1.fc22.x86_64 с оффсайта.
Для R8.1 i586 - mysql-workbench-community-6.1.7-1.fc20.i686
Но в R9 i586 ни один пакет не работает - ругается

Собралось для R8.1. Однако, программа не запускается.

Код: Выделить всё

/usr/bin/mysql-workbench-bin: symbol lookup error: /usr/lib/mysql-workbench/liblinux_utilities.so.6.3.6: undefined symbol: _ZN4Glib5ValueISsE3setERKS
ldd выдает

Код: Выделить всё

ldd /usr/lib/mysql-workbench/liblinux_utilities.so.6.3.6
        linux-gate.so.1 =>  (0xb7782000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb75cf000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0xb7572000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7543000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7061000)
        libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb7059000)
        libglibmm-2.4.so.1 => /usr/lib/libglibmm-2.4.so.1 (0xb6fdc000)
        libatkmm-1.6.so.1 => /usr/lib/libatkmm-1.6.so.1 (0xb6f96000)
        libgdkmm-2.4.so.1 => /usr/lib/libgdkmm-2.4.so.1 (0xb6f4f000)
        libgtkmm-2.4.so.1 => /usr/lib/libgtkmm-2.4.so.1 (0xb6c2d000)
        libstdc++.so.6 => /lib/libstdc++.so.6 (0xb6abc000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6a9c000)
        libc.so.6 => /lib/i686/libc.so.6 (0xb68cf000)
        libpcre.so.1 => /lib/libpcre.so.1 (0xb6857000)
        libpthread.so.0 => /lib/i686/libpthread.so.0 (0xb683b000)
        libffi.so.6 => /usr/lib/libffi.so.6 (0xb6832000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0xb682d000)
        libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0xb665b000)
        libpng16.so.16 => /usr/lib/libpng16.so.16 (0xb6600000)
        libm.so.6 => /lib/i686/libm.so.6 (0xb65ad000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb64ee000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb64e0000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb6392000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb638b000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb6364000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb6227000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb6210000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb61bf000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb6176000)
        libpangomm-1.4.so.1 => /usr/lib/libpangomm-1.4.so.1 (0xb6149000)
        libcairomm-1.0.so.1 => /usr/lib/libcairomm-1.0.so.1 (0xb6123000)
        libgiomm-2.4.so.1 => /usr/lib/libgiomm-2.4.so.1 (0xb5f95000)
        /lib/ld-linux.so.2 (0xb7784000)
        libdl.so.2 => /lib/libdl.so.2 (0xb5f8e000)
        libz.so.1 => /lib/libz.so.1 (0xb5f73000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb5f58000)
        libmount.so.1 => /lib/libmount.so.1 (0xb5f0d000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb5f01000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb5efd000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb5eea000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb5edd000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb5ed1000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb5ecd000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb5ec9000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb5eb2000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb5e00000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb5dd6000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb5d23000)
        libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0xb5d1f000)
        libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb5d11000)
        librt.so.1 => /lib/i686/librt.so.1 (0xb5d08000)
        libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0xb5c69000)
        libthai.so.0 => /usr/lib/libthai.so.0 (0xb5c5e000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb5add000)
        libblkid.so.1 => /lib/libblkid.so.1 (0xb5a99000)
        libbz2.so.1 => /usr/lib/libbz2.so.1 (0xb5a87000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb5a82000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb5a7b000)
        libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0xb5a4c000)
        libdatrie.so.1 => /usr/lib/libdatrie.so.1 (0xb5a44000)
        liblzma.so.5 => /lib/liblzma.so.5 (0xb5a0b000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb5a05000)
Пытаюсь собрать пакет, src которого взят из OpenMandriva 2015. Но и тут вылазят большие проблемы:
2016.1 x86-64 - ошибка сборки
2016.1 i586 - ошибка сборки

Помогите, пожалуйста собрать пакет, хотя бы для R9.

VirtUX
Сообщения: 16
Зарегистрирован: 13 ноя 2018, 15:55
Operating system: ROSA Fresh R10 PLASMA 5
Откуда: Крым
Контактная информация:

mysql-workbench-oss

Сообщение VirtUX » 21 фев 2019, 19:07

+1 Очень не хватает этого пакета

Ответить